diff -ru openssh-3.5p1.orig/sshd.0 openssh-3.5p1/sshd.0
--- openssh-3.5p1.orig/sshd.0	2002-10-04 11:31:45.000000000 +1000
+++ openssh-3.5p1/sshd.0	2003-03-12 21:15:25.000000000 +1100
@@ -1,28 +1,28 @@
-SSHD(8)                     System Manager's Manual                    SSHD(8)
+SSHD(8)                   BSD System Manager's Manual                  SSHD(8)
 
-NAME
-     sshd - OpenSSH SSH daemon
+^[[1mNAME^[[0m
+     ^[[1msshd ^[[22m- OpenSSH SSH daemon
 
-SYNOPSIS
-     sshd [-deiqtD46] [-b bits] [-f config_file] [-g login_grace_time]
-          [-h host_key_file] [-k key_gen_time] [-o option] [-p port] [-u len]
+^[[1mSYNOPSIS^[[0m
+     ^[[1msshd ^[[22m[^[[1m-deiqtD46^[[22m] [^[[1m-b ^[[4m^[[22mbits^[[24m] [^[[1m-f ^[[4m^[[22mconfig_file^[[24m] [^[[1m-g ^[[4m^[[22mlogin_grace_time^[[24m]
+          [^[[1m-h ^[[4m^[[22mhost_key_file^[[24m] [^[[1m-k ^[[4m^[[22mkey_gen_time^[[24m] [^[[1m-o ^[[4m^[[22moption^[[24m] [^[[1m-p ^[[4m^[[22mport^[[24m] [^[[1m-u ^[[4m^[[22mlen^[[24m]
 
-DESCRIPTION
-     sshd (SSH Daemon) is the daemon program for ssh(1).  Together these proM--
+^[[1mDESCRIPTION^[[0m
+     ^[[1msshd ^[[22m(SSH Daemon) is the daemon program for ssh(1).  Together these pro-
      grams replace rlogin and rsh, and provide secure encrypted communications
      between two untrusted hosts over an insecure network.  The programs are
      intended to be as easy to install and use as possible.
 
-     sshd is the daemon that listens for connections from clients.  It is norM--
-     mally started at boot from /etc/rc.  It forks a new daemon for each
+     ^[[1msshd ^[[22mis the daemon that listens for connections from clients.  It is nor-
+     mally started at boot from ^[[4m/etc/rc^[[24m.  It forks a new daemon for each
      incoming connection.  The forked daemons handle key exchange, encryption,
-     authentication, command execution, and data exchange.  This implementaM--
-     tion of sshd supports both SSH protocol version 1 and 2 simultaneously.
-     sshd works as follows.
+     authentication, command execution, and data exchange.  This implementa-
+     tion of ^[[1msshd ^[[22msupports both SSH protocol version 1 and 2 simultaneously.
+     ^[[1msshd ^[[22mworks as follows.
 
-   SSH protocol version 1
+   ^[[1mSSH protocol version 1^[[0m
 
-     Each host has a host-specific RSA key (normally 1024 bits) used to idenM--
+     Each host has a host-specific RSA key (normally 1024 bits) used to iden-
      tify the host.  Additionally, when the daemon starts, it generates a
      server RSA key (normally 768 bits).  This key is normally regenerated
      every hour if it has been used, and is never stored on disk.
@@ -35,20 +35,20 @@
      server.  Both sides then use this random number as a session key which is
      used to encrypt all further communications in the session.  The rest of
      the session is encrypted using a conventional cipher, currently Blowfish
-     or 3DES, with 3DES being used by default.  The client selects the encrypM--
+     or 3DES, with 3DES being used by default.  The client selects the encryp-
      tion algorithm to use from those offered by the server.
 
      Next, the server and the client enter an authentication dialog.  The
-     client tries to authenticate itself using .rhosts authentication, .rhosts
+     client tries to authenticate itself using ^[[4m.rhosts^[[24m authentication, ^[[4m.rhosts^[[0m
      authentication combined with RSA host authentication, RSA challenge-
      response authentication, or password based authentication.
 
      Rhosts authentication is normally disabled because it is fundamentally
      insecure, but can be enabled in the server configuration file if desired.
-     System security is not improved unless rshd, rlogind, and rexecd are disM--
+     System security is not improved unless ^[[1mrshd^[[22m, ^[[1mrlogind^[[22m, and rexecd are dis-
      abled (thus completely disabling rlogin and rsh into the machine).
 
-   SSH protocol version 2
+   ^[[1mSSH protocol version 2^[[0m
 
      Version 2 works similarly: Each host has a host-specific key (RSA or DSA)
      used to identify the host.  However, when the daemon starts, it does not
@@ -63,12 +63,12 @@
      through a cryptographic message authentication code (hmac-sha1 or hmac-
      md5).
 
-     Protocol version 2 provides a public key based user (PubkeyAuthenticaM--
+     Protocol version 2 provides a public key based user (PubkeyAuthentica-
      tion) or client host (HostbasedAuthentication) authentication method,
-     conventional password authentication and challenge response based methM--
+     conventional password authentication and challenge response based meth-
      ods.
 
-   Command execution and data forwarding
+   ^[[1mCommand execution and data forwarding^[[0m
 
      If the client successfully authenticates itself, a dialog for preparing
      the session is entered.  At this time the client may request things like
@@ -81,176 +81,176 @@
      data at any time, and such data is forwarded to/from the shell or command
      on the server side, and the user terminal in the client side.
 
-     When the user program terminates and all forwarded X11 and other connecM--
+     When the user program terminates and all forwarded X11 and other connec-
      tions have been closed, the server sends command exit status to the
      client, and both sides exit.
 
-     sshd can be configured using command-line options or a configuration
-     file.  Command-line options override values specified in the configuraM--
+     ^[[1msshd ^[[22mcan be configured using command-line options or a configuration
+     file.  Command-line options override values specified in the configura-
      tion file.
 
-     sshd rereads its configuration file when it receives a hangup signal,
+     ^[[1msshd ^[[22mrereads its configuration file when it receives a hangup signal,
      SIGHUP, by executing itself with the name it was started as, i.e.,
-     /usr/sbin/sshd.
+     ^[[4m/usr/sbin/sshd^[[24m.
 
      The options are as follows:
 
-     -b bits
+     ^[[1m-b ^[[4m^[[22mbits^[[0m
              Specifies the number of bits in the ephemeral protocol version 1
              server key (default 768).
 
-     -d      Debug mode.  The server sends verbose debug output to the system
+     ^[[1m-d      ^[[22mDebug mode.  The server sends verbose debug output to the system
              log, and does not put itself in the background.  The server also
              will not fork and will only process one connection.  This option
              is only intended for debugging for the server.  Multiple -d
              options increase the debugging level.  Maximum is 3.
 
-     -e      When this option is specified, sshd will send the output to the
+     ^[[1m-e      ^[[22mWhen this option is specified, ^[[1msshd ^[[22mwill send the output to the
              standard error instead of the system log.
 
-     -f configuration_file
+     ^[[1m-f ^[[4m^[[22mconfiguration_file^[[0m
              Specifies the name of the configuration file.  The default is
-             /etc/ssh/sshd_config.  sshd refuses to start if there is no conM--
+             ^[[4m/etc/ssh/sshd_config^[[24m.  ^[[1msshd ^[[22mrefuses to start if there is no con-
              figuration file.
 
-     -g login_grace_time
+     ^[[1m-g ^[[4m^[[22mlogin_grace_time^[[0m
              Gives the grace time for clients to authenticate themselves
              (default 120 seconds).  If the client fails to authenticate the
              user within this many seconds, the server disconnects and exits.
              A value of zero indicates no limit.
 
-     -h host_key_file
+     ^[[1m-h ^[[4m^[[22mhost_key_file^[[0m
              Specifies a file from which a host key is read.  This option must
-             be given if sshd is not run as root (as the normal host key files
+             be given if ^[[1msshd ^[[22mis not run as root (as the normal host key files
              are normally not readable by anyone but root).  The default is
-             /etc/ssh/ssh_host_key for protocol version 1, and
-             /etc/ssh/ssh_host_rsa_key and /etc/ssh/ssh_host_dsa_key for proM--
+             ^[[4m/etc/ssh/ssh_host_key^[[24m for protocol version 1, and
+             ^[[4m/etc/ssh/ssh_host_rsa_key^[[24m and ^[[4m/etc/ssh/ssh_host_dsa_key^[[24m for pro-
              tocol version 2.  It is possible to have multiple host key files
              for the different protocol versions and host key algorithms.
 
-     -i      Specifies that sshd is being run from inetd.  sshd is normally
+     ^[[1m-i      ^[[22mSpecifies that ^[[1msshd ^[[22mis being run from inetd.  ^[[1msshd ^[[22mis normally
              not run from inetd because it needs to generate the server key
              before it can respond to the client, and this may take tens of
              seconds.  Clients would have to wait too long if the key was
              regenerated every time.  However, with small key sizes (e.g.,
-             512) using sshd from inetd may be feasible.
+             512) using ^[[1msshd ^[[22mfrom inetd may be feasible.
 
-     -k key_gen_time
+     ^[[1m-k ^[[4m^[[22mkey_gen_time^[[0m
              Specifies how often the ephemeral protocol version 1 server key
-             is regenerated (default 3600 seconds, or one hour).  The motivaM--
+             is regenerated (default 3600 seconds, or one hour).  The motiva-
              tion for regenerating the key fairly often is that the key is not
              stored anywhere, and after about an hour, it becomes impossible
              to recover the key for decrypting intercepted communications even
              if the machine is cracked into or physically seized.  A value of
              zero indicates that the key will never be regenerated.
 
-     -o option
-             Can be used to give options in the format used in the configuraM--
+     ^[[1m-o ^[[4m^[[22moption^[[0m
+             Can be used to give options in the format used in the configura-
              tion file.  This is useful for specifying options for which there
              is no separate command-line flag.
 
-     -p port
+     ^[[1m-p ^[[4m^[[22mport^[[0m
              Specifies the port on which the server listens for connections
-             (default 22).  Multiple port options are permitted.  Ports speciM--
+             (default 22).  Multiple port options are permitted.  Ports speci-
              fied in the configuration file are ignored when a command-line
              port is specified.
 
-     -q      Quiet mode.  Nothing is sent to the system log.  Normally the
+     ^[[1m-q      ^[[22mQuiet mode.  Nothing is sent to the system log.  Normally the
              beginning, authentication, and termination of each connection is
              logged.
 
-     -t      Test mode.  Only check the validity of the configuration file and
-             sanity of the keys.  This is useful for updating sshd reliably as
+     ^[[1m-t      ^[[22mTest mode.  Only check the validity of the configuration file and
+             sanity of the keys.  This is useful for updating ^[[1msshd ^[[22mreliably as
              configuration options may change.
 
-     -u len  This option is used to specify the size of the field in the utmp
+     ^[[1m-u ^[[4m^[[22mlen^[[24m  This option is used to specify the size of the field in the utmp
              structure that holds the remote host name.  If the resolved host
-             name is longer than len, the dotted decimal value will be used
-             instead.  This allows hosts with very long host names that overM--
-             flow this field to still be uniquely identified.  Specifying -u0
+             name is longer than ^[[4mlen^[[24m, the dotted decimal value will be used
+             instead.  This allows hosts with very long host names that over-
+             flow this field to still be uniquely identified.  Specifying ^[[1m-u0^[[0m
              indicates that only dotted decimal addresses should be put into
-             the utmp file.  -u0 is also be used to prevent sshd from making
+             the ^[[4mutmp^[[24m file.  ^[[1m-u0 ^[[22mis also be used to prevent ^[[1msshd ^[[22mfrom making
              DNS requests unless the authentication mechanism or configuration
              requires it.  Authentication mechanisms that may require DNS
-             include RhostsAuthentication, RhostsRSAAuthentication,
-             HostbasedAuthentication and using a from="pattern-list" option in
+             include ^[[1mRhostsAuthentication^[[22m, ^[[1mRhostsRSAAuthentication^[[22m,
+             ^[[1mHostbasedAuthentication ^[[22mand using a ^[[1mfrom="pattern-list" ^[[22moption in
              a key file.  Configuration options that require DNS include using
-             a USER@HOST pattern in AllowUsers or DenyUsers.
+             a USER@HOST pattern in ^[[1mAllowUsers ^[[22mor ^[[1mDenyUsers^[[22m.
 
-     -D      When this option is specified sshd will not detach and does not
-             become a daemon.  This allows easy monitoring of sshd.
+     ^[[1m-D      ^[[22mWhen this option is specified ^[[1msshd ^[[22mwill not detach and does not
+             become a daemon.  This allows easy monitoring of ^[[1msshd^[[22m.
 
-     -4      Forces sshd to use IPv4 addresses only.
+     ^[[1m-4      ^[[22mForces ^[[1msshd ^[[22mto use IPv4 addresses only.
 
-     -6      Forces sshd to use IPv6 addresses only.
+     ^[[1m-6      ^[[22mForces ^[[1msshd ^[[22mto use IPv6 addresses only.
 
-CONFIGURATION FILE
-     sshd reads configuration data from /etc/ssh/sshd_config (or the file
-     specified with -f on the command line).  The file format and configuraM--
+^[[1mCONFIGURATION FILE^[[0m
+     ^[[1msshd ^[[22mreads configuration data from ^[[4m/etc/ssh/sshd_config^[[24m (or the file
+     specified with ^[[1m-f ^[[22mon the command line).  The file format and configura-
      tion options are described in sshd_config(5).
 
-LOGIN PROCESS
-     When a user successfully logs in, sshd does the following:
+^[[1mLOGIN PROCESS^[[0m
+     When a user successfully logs in, ^[[1msshd ^[[22mdoes the following:
 
            1.   If the login is on a tty, and no command has been specified,
-                prints last login time and /etc/motd (unless prevented in the
-                configuration file or by $HOME/.hushlogin; see the FILES secM--
+                prints last login time and ^[[4m/etc/motd^[[24m (unless prevented in the
+                configuration file or by ^[[4m$HOME/.hushlogin^[[24m; see the ^[[4mFILES^[[24m sec-
                 tion).
 
            2.   If the login is on a tty, records login time.
 
-           3.   Checks /etc/nologin; if it exists, prints contents and quits
+           3.   Checks ^[[4m/etc/nologin^[[24m; if it exists, prints contents and quits
                 (unless root).
 
            4.   Changes to run with normal user privileges.
 
            5.   Sets up basic environment.
 
-           6.   Reads $HOME/.ssh/environment if it exists and users are
+           6.   Reads ^[[4m$HOME/.ssh/environment^[[24m if it exists and users are
                 allowed to change their environment.  See the
-                PermitUserEnvironment option in sshd_config(5).
+                ^[[1mPermitUserEnvironment ^[[22moption in sshd_config(5).
 
            7.   Changes to user's home directory.
 
-           8.   If $HOME/.ssh/rc exists, runs it; else if /etc/ssh/sshrc
+           8.   If ^[[4m$HOME/.ssh/rc^[[24m exists, runs it; else if ^[[4m/etc/ssh/sshrc^[[0m
                 exists, runs it; otherwise runs xauth.  The ``rc'' files are
                 given the X11 authentication protocol and cookie in standard
                 input.
 
            9.   Runs user's shell or command.
 
-AUTHORIZED_KEYS FILE FORMAT
-     $HOME/.ssh/authorized_keys is the default file that lists the public keys
+^[[1mAUTHORIZED_KEYS FILE FORMAT^[[0m
+     ^[[4m$HOME/.ssh/authorized_keys^[[24m is the default file that lists the public keys
      that are permitted for RSA authentication in protocol version 1 and for
      public key authentication (PubkeyAuthentication) in protocol version 2.
-     AuthorizedKeysFile may be used to specify an alternative file.
+     ^[[1mAuthorizedKeysFile ^[[22mmay be used to specify an alternative file.
 
      Each line of the file contains one key (empty lines and lines starting
      with a `#' are ignored as comments).  Each RSA public key consists of the
      following fields, separated by spaces: options, bits, exponent, modulus,
-     comment.  Each protocol version 2 public key consists of: options, keyM--
+     comment.  Each protocol version 2 public key consists of: options, key-
      type, base64 encoded key, comment.  The options field is optional; its
      presence is determined by whether the line starts with a number or not
-     (the options field never starts with a number).  The bits, exponent, modM--
-     ulus and comment fields give the RSA key for protocol version 1; the comM--
+     (the options field never starts with a number).  The bits, exponent, mod-
+     ulus and comment fields give the RSA key for protocol version 1; the com-
      ment field is not used for anything (but may be convenient for the user
      to identify the key).  For protocol version 2 the keytype is ``ssh-dss''
      or ``ssh-rsa''.
 
      Note that lines in this file are usually several hundred bytes long
      (because of the size of the public key encoding).  You don't want to type
-     them in; instead, copy the identity.pub, id_dsa.pub or the id_rsa.pub
+     them in; instead, copy the ^[[4midentity.pub^[[24m, ^[[4mid_dsa.pub^[[24m or the ^[[4mid_rsa.pub^[[0m
      file and edit it.
 
-     sshd enforces a minimum RSA key modulus size for protocol 1 and protocol
+     ^[[1msshd ^[[22menforces a minimum RSA key modulus size for protocol 1 and protocol
      2 keys of 768 bits.
 
-     The options (if present) consist of comma-separated option specificaM--
-     tions.  No spaces are permitted, except within double quotes.  The folM--
+     The options (if present) consist of comma-separated option specifica-
+     tions.  No spaces are permitted, except within double quotes.  The fol-
      lowing option specifications are supported (note that option keywords are
      case-insensitive):
 
-     from="pattern-list"
+     ^[[1mfrom="pattern-list"^[[0m
              Specifies that in addition to public key authentication, the
              canonical name of the remote host must be present in the comma-
              separated list of patterns (`*' and `'?  serve as wildcards).
@@ -258,20 +258,20 @@
              `'!; if the canonical host name matches a negated pattern, the
              key is not accepted.  The purpose of this option is to optionally
              increase security: public key authentication by itself does not
-             trust the network or name servers or anything (but the key); howM--
+             trust the network or name servers or anything (but the key); how-
              ever, if somebody somehow steals the key, the key permits an
              intruder to log in from anywhere in the world.  This additional
              option makes using a stolen key more difficult (name servers
              and/or routers would have to be compromised in addition to just
              the key).
 
-     command="command"
+     ^[[1mcommand="command"^[[0m
              Specifies that the command is executed whenever this key is used
              for authentication.  The command supplied by the user (if any) is
              ignored.  The command is run on a pty if the client requests a
              pty; otherwise it is run without a tty.  If a 8-bit clean channel
-             is required, one must not request a pty or should specify no-pty.
-             A quote may be included in the command by quoting it with a backM--
+             is required, one must not request a pty or should specify ^[[1mno-pty^[[22m.
+             A quote may be included in the command by quoting it with a back-
              slash.  This option might be useful to restrict certain public
              keys to perform just a specific operation.  An example might be a
              key that permits remote backups but nothing else.  Note that the
@@ -279,39 +279,39 @@
              explicitly prohibited.  Note that this option applies to shell,
              command or subsystem execution.
 
-     environment="NAME=value"
+     ^[[1menvironment="NAME=value"^[[0m
              Specifies that the string is to be added to the environment when
              logging in using this key.  Environment variables set this way
              override other default environment values.  Multiple options of
              this type are permitted.  Environment processing is disabled by
-             default and is controlled via the PermitUserEnvironment option.
-             This option is automatically disabled if UseLogin is enabled.
+             default and is controlled via the ^[[1mPermitUserEnvironment ^[[22moption.
+             This option is automatically disabled if ^[[1mUseLogin ^[[22mis enabled.
 
-     no-port-forwarding
-             Forbids TCP/IP forwarding when this key is used for authenticaM--
+     ^[[1mno-port-forwarding^[[0m
+             Forbids TCP/IP forwarding when this key is used for authentica-
              tion.  Any port forward requests by the client will return an
-             error.  This might be used, e.g., in connection with the command
+             error.  This might be used, e.g., in connection with the ^[[1mcommand^[[0m
              option.
 
-     no-X11-forwarding
+     ^[[1mno-X11-forwarding^[[0m
              Forbids X11 forwarding when this key is used for authentication.
              Any X11 forward requests by the client will return an error.
 
-     no-agent-forwarding
+     ^[[1mno-agent-forwarding^[[0m
              Forbids authentication agent forwarding when this key is used for
              authentication.
 
-     no-pty  Prevents tty allocation (a request to allocate a pty will fail).
+     ^[[1mno-pty  ^[[22mPrevents tty allocation (a request to allocate a pty will fail).
 
-     permitopen="host:port"
-             Limit local ``ssh -L'' port forwarding such that it may only conM--
-             nect to the specified host and port.  IPv6 addresses can be specM--
-             ified with an alternative syntax: host/port.  Multiple permitopen
+     ^[[1mpermitopen="host:port"^[[0m
+             Limit local ``ssh -L'' port forwarding such that it may only con-
+             nect to the specified host and port.  IPv6 addresses can be spec-
+             ified with an alternative syntax: ^[[4mhost/port^[[24m.  Multiple ^[[1mpermitopen^[[0m
              options may be applied separated by commas. No pattern matching
              is performed on the specified hostnames, they must be literal
              domains or addresses.
 
-   Examples
+   ^[[1mExamples^[[0m
      1024 33 12121...312314325 ylo@foo.bar
 
      from="*.niksula.hut.fi,!pc.niksula.hut.fi" 1024 35 23...2334 ylo@niksula
@@ -321,8 +321,8 @@
 
      permitopen="10.2.1.55:80",permitopen="10.2.1.56:25" 1024 33 23...2323
 
-SSH_KNOWN_HOSTS FILE FORMAT
-     The /etc/ssh/ssh_known_hosts, and $HOME/.ssh/known_hosts files contain
+^[[1mSSH_KNOWN_HOSTS FILE FORMAT^[[0m
+     The ^[[4m/etc/ssh/ssh_known_hosts^[[24m, and ^[[4m$HOME/.ssh/known_hosts^[[24m files contain
      host public keys for all known hosts.  The global file should be prepared
      by the administrator (optional), and the per-user file is maintained
      automatically: whenever the user connects from an unknown host its key is
@@ -331,7 +331,7 @@
      Each line in these files contains the following fields: hostnames, bits,
      exponent, modulus, comment.  The fields are separated by spaces.
 
-     Hostnames is a comma-separated list of patterns ('*' and '?' act as wildM--
+     Hostnames is a comma-separated list of patterns ('*' and '?' act as wild-
      cards); each pattern in turn is matched against the canonical host name
      (when authenticating a client) or against the user-supplied name (when
      authenticating a server).  A pattern may also be preceded by `'!  to
@@ -339,39 +339,39 @@
      accepted (by that line) even if it matched another pattern on the line.
 
      Bits, exponent, and modulus are taken directly from the RSA host key;
-     they can be obtained, e.g., from /etc/ssh/ssh_host_key.pub.  The optional
+     they can be obtained, e.g., from ^[[4m/etc/ssh/ssh_host_key.pub^[[24m.  The optional
      comment field continues to the end of the line, and is not used.
 
      Lines starting with `#' and empty lines are ignored as comments.
 
      When performing host authentication, authentication is accepted if any
-     matching line has the proper key.  It is thus permissible (but not recomM--
+     matching line has the proper key.  It is thus permissible (but not recom-
      mended) to have several lines or different host keys for the same names.
      This will inevitably happen when short forms of host names from different
-     domains are put in the file.  It is possible that the files contain conM--
+     domains are put in the file.  It is possible that the files contain con-
      flicting information; authentication is accepted if valid information can
      be found from either file.
 
      Note that the lines in these files are typically hundreds of characters
      long, and you definitely don't want to type in the host keys by hand.
-     Rather, generate them by a script or by taking /etc/ssh/ssh_host_key.pub
+     Rather, generate them by a script or by taking ^[[4m/etc/ssh/ssh_host_key.pub^[[0m
      and adding the host names at the front.
 
-   Examples
+   ^[[1mExamples^[[0m
 
      closenet,...,130.233.208.41 1024 37 159...93 closenet.hut.fi
      cvs.openbsd.org,199.185.137.3 ssh-rsa AAAA1234.....=
 
-FILES
+^[[1mFILES^[[0m
      /etc/ssh/sshd_config
-             Contains configuration data for sshd.  The file format and conM--
+             Contains configuration data for ^[[1msshd^[[22m.  The file format and con-
              figuration options are described in sshd_config(5).
 
      /etc/ssh/ssh_host_key, /etc/ssh/ssh_host_dsa_key,
              /etc/ssh/ssh_host_rsa_key
              These three files contain the private parts of the host keys.
              These files should only be owned by root, readable only by root,
-             and not accessible to others.  Note that sshd does not start if
+             and not accessible to others.  Note that ^[[1msshd ^[[22mdoes not start if
              this file is group/world-accessible.
 
      /etc/ssh/ssh_host_key.pub, /etc/ssh/ssh_host_dsa_key.pub,
@@ -388,16 +388,16 @@
              Exchange".  The file format is described in moduli(5).
 
      /var/empty
-             chroot(2) directory used by sshd during privilege separation in
+             chroot(2) directory used by ^[[1msshd ^[[22mduring privilege separation in
              the pre-authentication phase.  The directory should not contain
              any files and must be owned by root and not group or world-
              writable.
 
      /var/run/sshd.pid
-             Contains the process ID of the sshd listening for connections (if
+             Contains the process ID of the ^[[1msshd ^[[22mlistening for connections (if
              there are several daemons running concurrently for different
              ports, this contains the process ID of the one started last).
-             The content of this file is not sensitive; it can be world-readM--
+             The content of this file is not sensitive; it can be world-read-
              able.
 
      $HOME/.ssh/authorized_keys
@@ -407,21 +407,21 @@
              home directory resides on an NFS volume).  It is recommended that
              it not be accessible by others.  The format of this file is
              described above.  Users will place the contents of their
-             identity.pub, id_dsa.pub and/or id_rsa.pub files into this file,
+             ^[[4midentity.pub^[[24m, ^[[4mid_dsa.pub^[[24m and/or ^[[4mid_rsa.pub^[[24m files into this file,
              as described in ssh-keygen(1).
 
      /etc/ssh/ssh_known_hosts and $HOME/.ssh/known_hosts
-             These files are consulted when using rhosts with RSA host authenM--
+             These files are consulted when using rhosts with RSA host authen-
              tication or protocol version 2 hostbased authentication to check
              the public key of the host.  The key must be listed in one of
              these files to be accepted.  The client uses the same files to
              verify that it is connecting to the correct remote host.  These
              files should be writable only by root/the owner.
-             /etc/ssh/ssh_known_hosts should be world-readable, and
-             $HOME/.ssh/known_hosts can but need not be world-readable.
+             ^[[4m/etc/ssh/ssh_known_hosts^[[24m should be world-readable, and
+             ^[[4m$HOME/.ssh/known_hosts^[[24m can but need not be world-readable.
 
      /etc/nologin
-             If this file exists, sshd refuses to let anyone except root log
+             If this file exists, ^[[1msshd ^[[22mrefuses to let anyone except root log
              in.  The contents of the file are displayed to anyone trying to
              log in, and non-root connections are refused.  The file should be
              world-readable.
@@ -434,7 +434,7 @@
              This file contains host-username pairs, separated by a space, one
              per line.  The given user on the corresponding host is permitted
              to log in without password.  The same file is used by rlogind and
-             rshd.  The file must be writable only by the user; it is recomM--
+             rshd.  The file must be writable only by the user; it is recom-
              mended that it not be accessible by others.
 
              If is also possible to use netgroups in the file.  Either host or
@@ -442,17 +442,17 @@
              all users in the group.
 
      $HOME/.shosts
-             For ssh, this file is exactly the same as for .rhosts.  However,
+             For ssh, this file is exactly the same as for ^[[4m.rhosts^[[24m.  However,
              this file is not used by rlogin and rshd, so using this permits
              access using SSH only.
 
      /etc/hosts.equiv
-             This file is used during .rhosts authentication.  In the simplest
+             This file is used during ^[[4m.rhosts^[[24m authentication.  In the simplest
              form, this file contains host names, one per line.  Users on
              those hosts are permitted to log in without a password, provided
              they have the same user name on both machines.  The host name may
              also be followed by a user name; such users are permitted to log
-             in as any user on this machine (except root).  Additionally, the
+             in as ^[[4many^[[24m user on this machine (except root).  Additionally, the
              syntax ``+@group'' can be used to specify netgroups.  Negated
              entries start with `-'.
 
